/*
Theme Name:     SGN Corporate Chaplin Child Theme
Theme URI:      https://woocommerce.com/products/storefront
Description:    A Chaplin child theme 
Author:         SGN Sport
Author URI:     
Template:       chaplin
Version:        2.0
Text Domain:    sgn-corp-theme
*/


/* =sgn-corp-theme styles starts here
-------------------------------------------------------------- */

:root {
    --sgn-orange: #ef7a2a;
    --sgn-yellow: #f0af36;
    --sgn-yellow-light: #fed27c;
    --sgn-turquoise : #2faca1;
    --sgn-turquoise-light : #8fbeb9;
    --sgn-blue : #006f8b;
    --sgn-black : #24292f;
}
@media (min-width: 768px) {
    .mobile-only {
        display: none;
    }
}

@media (max-width: 767px) {
    .desktop-only {
        display: none;
    }
}

#site-header {
    margin-bottom: 0px;
    padding-top: 2rem;
    padding-bottom: 2rem;
}
#site-header a{
    color: white;
}
#site-header .sub-menu a{
    color: var(--sgn-black);
}
.main-menu-alt a:hover, .main-menu-alt li.current-menu-item > a, 
.main-menu-alt li.current-menu-item > .link-icon-wrapper > a, 
.main-menu li.current-menu-item > .ancestor-wrapper > a
{
    color: var(--sgn-orange) !important;
    text-decoration: none;
}

.post-inner {
    padding-top: 3rem;
}
.post-inner .no-top-padding{
    margin-top: -3rem !important; 
}

h1.entry-title {
    display: none;
}

#site-header,
.header-inner.is-sticky {
    background-color: var(--sgn-black);
}
#site-header svg{
    color: var(--sgn-orange);
}

#site-footer {
    background-color: var(--sgn-black);
}

#site-footer .widget-content a {
    color: white;
}

.footer-widgets-outer-wrapper>.footer-widgets-wrapper>.footer-widgets.column-one>.widget {
    border-top: 0;
}

@media (min-width: 700px) {
    .footer-widgets-outer-wrapper {
        border: 0;
    }
}

@media (min-width: 1000px) {
    .footer-inner {
        padding: 2rem 0;
    }
}

.sgpb-main-html-content-wrapper > .wp-block-archives,
.sgpb-main-html-content-wrapper > .wp-block-calendar,
.sgpb-main-html-content-wrapper > .wp-block-categories,
.sgpb-main-html-content-wrapper > .wp-block-code,
.sgpb-main-html-content-wrapper > .wp-block-columns,
.sgpb-main-html-content-wrapper > .wp-block-cover,
.sgpb-main-html-content-wrapper > .wp-block-cover-image,
.sgpb-main-html-content-wrapper > .wp-block-embed,
.sgpb-main-html-content-wrapper > .wp-block-file,
.sgpb-main-html-content-wrapper > .wp-block-gallery,
.sgpb-main-html-content-wrapper > .wp-block-group,
.sgpb-main-html-content-wrapper > .wp-block-image,
.sgpb-main-html-content-wrapper > .wp-block-latest-comments,
.sgpb-main-html-content-wrapper > .wp-block-latest-posts,
.sgpb-main-html-content-wrapper > .wp-block-media-text,
.sgpb-main-html-content-wrapper > .wp-block-preformatted,
.sgpb-main-html-content-wrapper > .wp-block-pullquote,
.sgpb-main-html-content-wrapper > .wp-block-quote,
.sgpb-main-html-content-wrapper > .wp-block-quote.is-large,
.sgpb-main-html-content-wrapper > .wp-block-quote.is-style-large,
.sgpb-main-html-content-wrapper > .wp-block-search,
.sgpb-main-html-content-wrapper > .wp-block-tag-cloud,
.sgpb-main-html-content-wrapper > .wp-block-verse,
.sgpb-main-html-content-wrapper > .wp-block-video {
    margin-bottom: 0;
    margin-top: 0;
}
/*
STORIES

================================================= */
:root {
    --white: #fff;
    --light-gray: #eee;
    --medium-gray-variation: #cfcfcf;
    --medium-gray: #c9c9c9;
    --medium-gray-darker: #ccc;
    --dark-gray-variation: #999999;
    --dark-gray: #6b6b6b;
    --darker-gray: #777;
    --light-black: #333;
    --black-variation: #1e1e1e;
    --black: #000;
    --global-shadow: 0 1px 2px rgb(0 0 0 / 20%);
    --archive-filter-title-size: 20px;
    --archive-filter-subtitle-size: 14px;
    --archive-filter-button-size: 14px;

}



.stories-listing a{
    text-decoration: none !important;
  }
  .stories-listing .entry-content,
  .blog-post-wrapper .entry-content {
      box-shadow: var( --global-shadow);
  }
  
    .stories-listing.row {
        --bs-gutter-x: 1.5rem;
        --bs-gutter-y: 0;
        display: flex;
        flex-wrap: wrap;
    }

    .stories-listing .col-6 {
        flex: 0 0 auto;
        width: 50%;
      }

    @media (min-width: 768px) {
        .stories-listing .col-6 {
            flex: 0 0 auto;
            width: 50%;
        }
    }
    @media (min-width: 992px) {
        .stories-listing .col-lg-6 {
            flex: 0 0 auto;
            width: 50%;        
        }
        .stories-listing .col-lg-3 {
            flex: 0 0 auto;
            width: 25%;        
        }
    }

    .post-type-archive-stories .stories-header {
        position: relative;
        background-size: cover;
        background-position: center;
        transition: all 0.5s ease-in-out;
    }
    
    .stories-header-title {
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    
    .post-type-archive-stories .stories-header h1 {
        font-size: var(--h1);
        font-size: var(--blog-title);
        color: var(--white);
        font-weight: bold;
    }
    
    .stories-listing {
        margin: 0 -4px !important;
    }
    
    .stories-listing .story-item {
        padding: 5px !important;
    }
    
    @media (min-width: 768px) {
        .stories-listing .story-item {
            padding: 10px !important;
        }
        .stories-listing {
            margin: 0 -15px !important;
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }
    
    .stories-listing .story-item .image {
        width: 100%;
        height: 150px;
        background-size: cover;
    }
    /* Stories tags */
    
    .stories-tags {
        position: relative;
        max-height: 56px;
        overflow-y: hidden;
        margin: 30px 0;
        padding: 8px 10px;
        background: var(--white);
        border-radius: 4px;
        transition: all 0.5s;
        border: 1px solid var(--light-gray);
    }
    
    .stories-tags a {
        display: inline-block;
        padding: 3px;
        margin: 7px 1px;
        color: var(--dark-gray);
        text-transform: uppercase;
        font-weight: bold;
        letter-spacing: 1px;
        text-decoration: none !important;
        font-size: var(--archive-filter-subtitle-size);
    }
    
    .stories-tags a.active {
        background-color: var( --primary-color);
        color: var(--white);
        border-radius: 2rem;
        padding: 5px 10px;
    }
    
    .stories-tags a.active:hover {
        background-color: var( --primary-color);
        color: var(--white);
        border-radius: 2rem;
    }
    
    .stories-tags a:hover {
        color: var(--black);
    }
    
    .stories-tags a:focus {
        outline: none;
        /*clear outline set by storefront inline css*/
    }
    /* All tags btn */
    
    .stories-tags .all-filters-btn {
        float: right;
        text-transform: none;
        letter-spacing: 0;
        color: var(--black-color);
        display: flex;
        grid-column-gap: 10px;
    }
    
    .stories-tags .all-filters-btn.show-filters {
        opacity: 1;
        transition-delay: 0.8s;
        max-width: 145px;
        max-height: none;
        text-align: right;
    }
    
    .close-filters .all-filters-btn {
        float: left;
    }
    
    .stories-tags .all-filters-btn i {
        color: var(--primary-color);
        font-size: var(--p-size);
    }
    
    .stories-tags .blog-link-icon {
        position: relative;
        left: -7px;
        transition: none;
    }
    
    .stories-tags .blog-link-icon i:first-child {
        left: 7px;
    }

    
    @media (min-width: 992px) {
        .stories-tags {
            max-height: 59px;
        }
        .stories-tags a {
            padding: 5px;
            margin: 7px;
        }
    }
    
    #tax-filter {
        padding: 6px 0px 0;
        margin: -28px 0px 15px;
    }
    
    @media (min-width: 769px) {
        #tax-filter {
            margin: -30px 0 5px 13px;
        }
    }
    
    #tax-filter .term {
        text-transform: uppercase;
    }
    
    #tax-filter .facetwp-dropdown {
        background-color: var(--light-gray);
        border: none;
    }
    
    .facetwp-facet-story_filter {
        display: inline;
    }
    /* Show all Filters  */
    
    .show-all-tags.stories-tags {
        max-height: 100%;
    }
    
    .show-all-tags.stories-tags .all-filters-btn.show-filters {
        opacity: 0;
        transition: all 0.0s;
    }
	
    /* PAGINATION */
    
    .blog-search-pagination {
        margin-bottom: 60px;
    }
    
    .navigation.pagination {
        padding: 0 !important;
        border: 0;
    }
    
    .navigation.pagination .page-numbers,
    .blog-search-pagination a {
        background: var(--white);
    }
    
    .inline-search .navigation.pagination .page-numbers {
        border: 1px solid var(--light-gray);
    }
    
    .inline-search .navigation.pagination .nav-links {
        padding-left: 1px;
    }
    
    .navigation.pagination .nav-links,
    .facetwp-facet-ctp_and_search_pagination div,
    .facetwp-facet-facet_pagination div {
        display: flex;
        align-items: center;
        text-align: center;
        width: 100%;
		gap: 5px;
    }
    
    .navigation.pagination .nav-links,
    .facetwp-facet-ctp_and_search_pagination div {
        grid-gap: 2px;
    }
    
    .navigation.pagination .nav-links .page-numbers,
    .facetwp-facet-ctp_and_search_pagination div a,
    .facetwp-facet-facet_pagination div a {
        height: 46px;
        padding: 10px 2px;
        margin-right: 0;
        font-size: var(--p-size);
        color: var(--black);
    }
    
    .next.page-numbers,
    .prev.page-numbers,
    .facetwp-facet-ctp_and_search_pagination div a.next,
    .facetwp-facet-ctp_and_search_pagination div a.prev {
        font-weight: bold;
        color: var(--primary-color);
        font-size: 25px;
        padding-top: 3px;
    }
    
    .navigation.pagination .page-numbers.current {
        font-weight: bold;
    }
	
    .facetwp-facet-facet_pagination div a {
        margin: -0.5px;
        border: 1px solid #ececec;
        width: 46px !important;
        background: white;
    }

	
    /* Stories Listing */
    
    .stories-listing {
        margin: 30px 15px;
    }
    
    .stories-listing .entry-content {
        background: var(--white);
        height: 100%;
        position: relative;
    }
    
    .stories-listing .entry-content .story-post-content {
        padding: 10px 9px 34px;
    }
    
    @media (min-width: 768px) {
        .stories-listing .entry-content .story-post-content {
            padding: 15px 9px 40px;
        }
    }
    
    @media (min-width: 992px) {
        .stories-listing .entry-content .story-post-content {
            /* padding: 30px 30px 52px; */
            padding: 0px 15px 20px;
        }
    }
    
    @media (min-width: 1415px) {
        .stories-listing {
            margin: 30px 0px 0;
        }
    }
    /* Big Image */
    
    .story-item-big .entry-content {
        display: flex;
        flex-direction: column;
        justify-content: stretch;
        position: relative;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        border-radius: 0 0 15% 0;
    }
    
    .story-item-big .story-post-content {
        height: 50%;
        width: 70%;
        background: var(--white);
        flex: 1;
    }
    
    .story-item-big .story-image {
        opacity: 0;
        width: 50%;
        padding-top: calc(50% - 0.5rem);
    }
    
    @media (min-width: 992px) {
        .story-item-big .story-image {
            padding-top: calc(50% - 1rem);
        }
    }
    /* Post image */
    .story-image,
    .post-image,
    .story-image {
        border-radius: 0 0 20% 0;
    }

    .story-image {
        background-color: var(--medium-gray);
        background-size: cover;
        background-position: center;
        padding-top: 100%;
        position: relative;
    }
    
    .story-image a {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }
    /* Blog title  */
    
    .story-post-header h4 {
        font-size: 20px;
        font-family: var(--FaktFont);
        /* text-transform: capitalize; */
        font-weight: normal;
        color: #333333;
        margin: 0rem 0 2.5rem;
    }
    
    /* Blog excerpt */
    
    .story-excerpt {
        margin: 10px 0;
        color: var(--darker-gray);
    }
    
    @media (min-width: 992px) {
        .story-excerpt {
            margin: 30px 0;
            font-size: 15px;
        }
        .story-post-header h4 {
            margin: 2rem 0 2.5rem;
        }
    }



    @media (min-width: 992px) {
        .blog-link {
          margin: 0 30px 30px;
        }
      }
      .blog-link {
        display: flex;
        position: absolute;
        bottom: -10px;
        left: 0;
        right: 0;
        margin: 0 15px 15px;
        overflow: hidden;
        /* border: 1px solid; */
        width: 100%;
        height: 40px;
        font-size: 15px;
      }

    .blog-link-icon {
        transition: all 0.5s ease-in-out;
        color: var(--primary-color);
    }
    
    .blog-link-icon i {
        font-size: 20px;
    }
    
    .blog-link-icon i:first-child {
        position: relative;
        left: 5px;
    }
    
    .blog-link-text {
        transform: translatex(-200px);
        position: absolute;
        display: block;
        /* top: -2px; */
        text-transform: uppercase;
        font-size: var(--p-size);
        font-weight: bold;
        transition: all 0.5s ease-in-out;
        color: var(--dark-gray);
    }
    
    .entry-content:hover .blog-link-icon {
        margin-left: 100px;
        transition: all 0.5s ease-in-out;
    }
    .entry-content:hover .blog-link-text {
        letter-spacing: 1px;
        transform: translateX(0);
    }

    #tax-filter .facetwp-dropdown {
        background-color: var(--white);
    }
    

